package com.ruoyi.business.mapper;

import com.ruoyi.business.domain.TEbsOrder;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface TEbsOrderMapper {

    /**
     * 查找EBS订单信息
     * @return
     */
    List<TEbsOrder> selectTEbsOrderList(TEbsOrder tEbsOrder);

    /**
     * 插入EBS订单信息
     * @param tEbsOrder
     * @return
     */
    int insertTEbsOrder(TEbsOrder tEbsOrder);

    /**
     * 更新EBS订单信息
     * @param tEbsOrder
     * @return
     */
    int updateTEbsOrder(TEbsOrder tEbsOrder);

    /**
     * 删除EBS订单信息
     * @param tEbsOrder
     * @return
     */
    int deleteTEbsOrder(TEbsOrder tEbsOrder);
}
